﻿@using SYM.SearchEngine.MvcApp.Helpers;
@model IEnumerable<SYM.DataAccessLayer.v_community>

@{
    ViewBag.Title = "Community";
    ViewBag.Page = "Community";
}

@section customCss4Page{
    <link href="~/Content/themes/m1/assets/pages/css/profile.css" rel="stylesheet" type="text/css" />
}

<div class="row">
    <div class="col-md-12">
        <div class="portlet light portlet-fit bordered">
            <div class="portlet-title">
                <div class="caption">
                    <i class=" icon-layers font-green"></i>
                    <span class="caption-subject font-green bold uppercase">Mountain's Lovers</span>
                </div>
            </div>
            <div class="portlet-body">
                <div class="mt-element-card mt-card-round mt-element-overlay">
                    <div class="row">
                        @foreach (var item in Model)
                        {
                            <div class="col-lg-3 col-md-4 col-sm-6 col-xs-12">
                                <div class="mt-card-item">
                                <div class="mt-card-avatar mt-overlay-1">
                                    <img src="http://res.cloudinary.com/shareyourmountain/image/upload/g_face,c_fill,w_350,h_350/@(item.image)" class="img-responsive" alt="" onerror="this.src = '/Content/themes/m1/assets/layouts/layout4/img/no-avatar.jpg';">
                                    <div class="mt-overlay">
                                        <ul class="mt-info">
                                            <li>
                                                <a class="btn default btn-outline" href="/Community/Profile/@item.UserId">
                                                    <i class="icon-magnifier"></i>
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="mt-card-content">
                                    <h3 class="mt-card-name">@item.firstName @(item.lastName[0]).</h3>
                                    <p class="mt-card-desc">@item.region <img alt="IT" src="/Content/images/country/@(item.country_id).png"></p>
                                    <p class="mt-card-desc font-grey-mint">
                                    @if (item.website != null)
                                    { 
                                        @item.role
                                    }
                                    else {
                                        <text>Trekker</text>
                                    }
                                    </p>
                                    <div class="row list-separated profile-stat margin-top-10">
                                        <div class="col-md-4 col-sm-4 col-xs-6">
                                            <div class="uppercase profile-stat-title">@item.stats_mountains</div>
                                            <div class="uppercase profile-stat-text">Cime</div>
                                        </div>
                                        <div class="col-md-4 col-sm-4 col-xs-6">
                                            <div class="uppercase profile-stat-title">@item.stats_routes</div>
                                            <div class="uppercase profile-stat-text">Vie</div>
                                        </div>
                                        <div class="col-md-4 col-sm-4 col-xs-6">
                                            <div class="uppercase profile-stat-title">@item.stats_images</div>
                                            <div class="uppercase profile-stat-text">Foto</div>
                                        </div>
                                    </div>
                                    <div class="mt-card-social">
                                        <ul>
                                            <li>
                                                <a href="javascript:;">
                                                    <i class="icon-social-facebook"></i>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="javascript:;">
                                                    <i class="icon-social-twitter"></i>
                                                </a>
                                            </li>
                                            @if(item.website != null) { 
                                            <li>
                                                <a href="@item.website" target="_blank">
                                                    <i class="icon-link"></i>
                                                </a>
                                            </li>
                                            }
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            </div>
                        }
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>